=== examples/Axis/CMakeLists.txt ===
add_subdirectory(Chart)
add_subdirectory(Labels)
add_subdirectory(Parameters)
add_subdirectory(Widget)
