=== qtests/Cloning/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestCloning
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)
