=== qtests/WidgetElementOwnership/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestWidgetElementOwnership
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)
