=== examples/HeadersFooters/HeadersFootersSimple/CMakeLists.txt ===
add_executable(HeadersFootersSimple  main.cpp)

target_link_libraries(HeadersFootersSimple KChart Qt5::Widgets)
