=== examples/Lines/AreaPerCell/CMakeLists.txt ===
add_executable(AreaPerCell main.cpp)

target_link_libraries(AreaPerCell KChart Qt5::Widgets)
