=== examples/Plane/AdjustedBoundaries/CMakeLists.txt ===
add_executable(AdjustedBoundaries  main.cpp)

target_link_libraries(AdjustedBoundaries KChart Qt5::Widgets)
