=== debian/changelog ===
kdiagram (2.6.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Build-Depend on qttools5-dev. (Closes: #881079)

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 15 Nov 2017 05:07:55 +0100

kdiagram (2.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #847782)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Dec 2016 20:48:16 +0100
