=== debian/watch ===
version=4
http://download.kde.org/stable/kdiagram/([\d\.]+)/src/kdiagram-([\d\.]+).tar.xz
