## kdiagram 2.6.1

=== examples/Gantt/project/CMakeLists.txt ===
set(project_SRCS
    projectmodel.cpp
    mainwindow.cpp
    main.cpp
)

add_executable(project  ${project_SRCS})

target_link_libraries(project KGantt Qt5::Widgets Qt5::PrintSupport)
