=== debian/changelog ===
kdiagram (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update path in watch file.
  * Update symbols files from logs of buildds, and removing private symbols
    no more exposed.
  * Adopt under the Debian KDE Extras Team wing, with myself as Uploader.
    (Closes: #874391)
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Pass --fail-missing to dh_missing.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Apr 2018 07:42:07 +0200

kdiagram (2.6.0-3) unstable; urgency=medium

  * QA upload.
  * Add symbols files, and thus remove the dh_makeshlibs -V invocation.
  * Tweak install files to catch potential SONAME bumps.
  * Simplify watch file, and switch it to https.
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11

 -- Pino Toscano <pino@debian.org>  Thu, 22 Mar 2018 09:10:54 +0100
