## kdiagram 2.6.1%2Brebuild

=== examples/Lines/SimpleLineWidget/CMakeLists.txt ===
add_executable(SimpleLineWidget main.cpp)

target_link_libraries(SimpleLineWidget KChart Qt5::Widgets)
