=== examples/Sql/CMakeLists.txt ===
add_executable(Sql  main.cpp)

target_link_libraries(Sql KChart Qt5::Widgets Qt5::Sql)
