=== qtests/RelativePosition/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestRelativePosition
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)
