=== examples/LeveyJennings/Simple/CMakeLists.txt ===
add_executable(LeveyJenningsSimple  main.cpp)

target_link_libraries(LeveyJenningsSimple KChart Qt5::Widgets)
