=== examples/Lines/Parameters/CMakeLists.txt ===
add_executable(Parameters main.cpp)

target_link_libraries(Parameters KChart Qt5::Widgets)
