=== debian/changelog ===
kdiagram (2.6.1+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Wed, 20 Jan 2021 12:59:21 +0800
