## kdiagram 2.6.3

=== src/CMakeLists.txt ===
add_subdirectory( KChart )
add_subdirectory( KGantt )
