=== examples/Background/CMakeLists.txt ===
add_executable(Background  main.cpp)

target_link_libraries(Background KChart Qt5::Widgets)
