=== examples/HeadersFooters/CMakeLists.txt ===
add_subdirectory(Advanced)
add_subdirectory(HeadersFootersParameters)
add_subdirectory(HeadersFootersSimple)
