=== src/KChart/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set( KCHARTLIB_VERSION "2.6.0" )
+set( KCHARTLIB_VERSION "2.6.3" )
 
 ecm_setup_version(${KCHARTLIB_VERSION}
     VARIABLE_PREFIX KCHART
@@ -304,8 +304,41 @@
     ${CMAKE_CURRENT_BINARY_DIR}/kchart_version.h
     DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
 
+if(BUILD_QCH)
+    ecm_add_qch(
+        KChart_QCH
+        NAME KChart
+        VERSION ${KCHARTLIB_VERSION}
+        ORG_DOMAIN org.kde
+        SOURCES
+            Mainpage.dox
+            ${kchart_LIB_HEADERS}
+        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/images"
+        LINK_QCHS
+            Qt5Core_QCH
+            Qt5Gui_QCH
+            Qt5Widgets_QCH
+        BLANK_MACROS
+            KCHART_EXPORT
+            KCHART_DEPRECATED
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
+    )
+endif()
+
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KChart")
+
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KChart_QCH
+        FILE KChartQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KChartQchTargets.cmake\")")
+endif()
 
 ecm_configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KChartConfig.cmake.in"
