=== src/KGantt/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set( KGANTTLIB_VERSION "2.6.1" )
+set( KGANTTLIB_VERSION "2.6.3" )
 
 ecm_setup_version(${KGANTTLIB_VERSION}
     VARIABLE_PREFIX KGANTT
