=== examples/Pie/Parameters/CMakeLists.txt ===
add_executable(PieParameters  main.cpp)

target_link_libraries(PieParameters KChart Qt5::Widgets)
