=== debian/changelog ===
kdiagram (2.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 13 Apr 2020 00:28:08 +0200

kdiagram (2.6.2-4) unstable; urgency=medium

  * Update test-increased-timeout.diff to increase the timeouts to 60 minutes,
    hopefully it should be enough also for really slow architectures...

 -- Pino Toscano <pino@debian.org>  Sun, 29 Mar 2020 18:37:26 +0200

kdiagram (2.6.2-3) unstable; urgency=medium

  * Update test-increased-timeout.diff to increase also the QtTest default
    timeout to 30 minutes.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Mar 2020 11:51:38 +0200

kdiagram (2.6.2-2) unstable; urgency=medium

  * Update test-increased-timeout.diff to use a better (and hopefully working)
    API for changing the test timeout.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Mar 2020 00:24:36 +0100

kdiagram (2.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update Vcs-* fields.
  * Update symbols files.
  * Increase the timeout for TestDrawIntoPainter to 30 minutes, so even slower
    architectures should run it successfully. (Closes: 947492)
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Mar 2020 23:21:54 +0100
