=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kdiagram
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
  cmake (>= 2.8.12),
- debhelper (>= 10),
+ debhelper-compat (= 12),
  extra-cmake-modules (>= 1.2.0),
  libqt5svg5-dev,
  qtbase5-dev (>= 5.2),
@@ -12,9 +13,9 @@
  qttools5-dev-tools,
  xauth,
  xvfb
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/kdiagram.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/kdiagram.git
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiagram.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiagram
 Homepage: https://cgit.kde.org/kdiagram.git
 
 Package: libkchart-dev
