=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,5 @@
 # no tests for -indep
 override_dh_auto_test-indep:
 
-override_dh_makeshlibs:
-	dh_makeshlibs -V
+override_dh_missing:
+	dh_missing --fail-missing
