=== debian/watch ===
version=4
https://download.kde.org/stable/@PACKAGE@/([\d\.]+)/@PACKAGE@-([\d\.]+)\.tar\.xz
