## kdiagram 2.7.0

=== debian/changelog ===
kdiagram (2.7.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Nov 2020 14:09:57 -0800

kdiagram (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - test-increased-timeout.diff: drop, fixed upstream
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Apr 2020 10:00:12 +0200
