=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+
