=== qtests/CartesianDiagramDataCompressor/CMakeLists.txt ===
ecm_add_test(
    CartesianDiagramDataCompressorTests.cpp
    TEST_NAME CartesianDiagramDataCompressorTests
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)
