=== src/KGantt/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set( KGANTTLIB_VERSION "2.6.3" )
+set( KGANTTLIB_VERSION "2.8.0" )
 
 ecm_setup_version(${KGANTTLIB_VERSION}
     VARIABLE_PREFIX KGANTT
@@ -20,6 +20,7 @@
 
 set( kgantt_LIB_SRCS
     kganttglobal.cpp
+    kganttprintingcontext.cpp
     kganttview.cpp
     kganttstyleoptionganttitem.cpp
     kganttgraphicsview.cpp
@@ -39,8 +40,15 @@
     kganttabstractgrid.cpp
     kganttdatetimegrid.cpp
     kganttlegend.cpp
+    kganttdatetimetimeline.cpp
+    kganttdatetimetimelinedialog.cpp
+    kganttpenstylecombobox.cpp
     unittest/test.cpp
     unittest/testregistry.cpp
+)
+
+qt5_wrap_ui(kgantt_LIB_SRCS
+    kganttdatetimetimelinedialog.ui
 )
 
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -82,6 +90,7 @@
 ecm_generate_headers(kgantt_LIB_HEADERS
     HEADER_NAMES
     KGanttGlobal
+    KGanttPrintingContext
     KGanttView
     KGanttStyleOptionGanttItem
     KGanttGraphicsView
@@ -101,6 +110,9 @@
     KGanttAbstractGrid
     KGanttDateTimeGrid
     KGanttLegend
+    KGanttDateTimeTimeLine
+    KGanttDateTimeTimeLineDialog
+    KGanttPenStyleComboBox
 
     REQUIRED_HEADERS kgantt_LIB_HEADERS
 )
@@ -108,6 +120,7 @@
 install(FILES
             ${CMAKE_CURRENT_BINARY_DIR}/kgantt_export.h
             ${kgantt_LIB_HEADERS}
+            kganttabstractgrid_p.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/KGantt
         COMPONENT Devel)
