=== examples/Bars/Simple/CMakeLists.txt ===
add_executable(BarsSimple  main.cpp)

target_link_libraries(BarsSimple KChart Qt5::Widgets)
