=== debian/changelog ===
kdiagram (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump qtbase5-dev to 5.12.0
    - bump extra-cmake-modules to 5.60.0
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jan 2021 12:45:36 +0100

kdiagram (2.7.0-2) unstable; urgency=medium

  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Bump Standards-Version to 4.5.1, no changes required.
  * Add Rules-Requires-Root: no.
  * Use correct machine-readable copyright file URI.
  * Update symbols files. (Closes: #975186)

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:47:59 +0100
