=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: kdiagram
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
  cmake (>= 2.8.12),
- debhelper-compat (= 12),
- extra-cmake-modules (>= 1.2.0),
+ debhelper-compat (= 13),
+ extra-cmake-modules (>= 5.60.0~),
  libqt5svg5-dev,
- qtbase5-dev (>= 5.2),
+ qtbase5-dev (>= 5.12.0~),
  qttools5-dev,
  qttools5-dev-tools,
  xauth,
  xvfb
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiagram.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiagram
 Homepage: https://cgit.kde.org/kdiagram.git
